Bug 773600 - provide a way to start nfs server and self-heal daemon with valgrind
provide a way to start nfs server and self-heal daemon with valgrind
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-01-12 06:50 EST by Raghavendra Bhat
Modified: 2013-07-24 13:47 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:47:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa40
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-01-12 06:50:35 EST
Description of problem:

Currently glusterd has a option which if provided while starting the process or as an option in the volfile, then glusterd starts all the bricks with valgrind. But nfs server and the self-heal daemons are started in the normal mode only. When valgrind option is provided to glusterd, it should start nfs server and the self-heal daemon also with valgrind only along with the brick processes.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Anand Avati 2012-02-14 22:18:31 EST
CHANGE: http://review.gluster.com/2638 (mgmt/glusterd: changes to run nfs server and self-heal daemon with valgrind) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-10 06:48:15 EDT
Checked with glusterfs-3.3.0qa40. If glusterd is run with the option (glusterd --xlator-option *.run-with-valgrind=yes), then all the processes started by glusterd such as glusterfsd, nfs server and self-heal-daemon (if the volume is replicate) are started in valgrind mode.

Note You need to log in before you can comment on or make changes to this bug.